DNF5-LIST(8)

BEZEICHNUNG
dnf5-list - List-Befehl

ÜBERSICHT

dnf5 list [Optionen] [Paketangabe-NI …]

BESCHREIBUNG

Gibt anhand bereitgestellter Parameter eine Liste von Paketen aus.

Wenn ein Terminal verfügbar ist, wird die Paketliste farbig dargestellt. Pakete, die zur Neuinstallation verfügbar sind, werden (standardmäßig) fett grün und Pakete, die zur Aktualisierung verfügbar sind, fett blau hervorgehoben. Dieses Verhalten kann in dnf5.conf(5) über die Optionen color_list_available_upgrade und color_list_available_reinstall angepasst werden.

OPTIONEN

    --showduplicates
        zeigt alle Versionen der Pakete an, nicht nur die neuesten.

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --installed
        listet nur installierte Pakete auf.

    --available
        listet nur verfügbare Pakete auf.

    --extras
        listet nur Extras auf, d.h. auf dem System installierte Pakete, die in keiner bekannten Paketquelle verfügbar sind.

    --obsoletes
        listet nur auf dem System installierte Pakete auf, die durch Pakete in irgendeiner bekannten Paketquelle als veraltet markiert werden.

    --recent
        listet nur Pakete auf, die kürzlich zu den Paketquellen hinzugefügt wurden.

    --upgrades
        listet nur verfügbare Aktualisierungen für installierte Pakete auf.

    --autoremove
        listet nur Pakete auf, die vom %autoremove-Befehl entfernt werden.

    --json
        verwendet das JSON-Format für die Ausgabe.

BEISPIELE

    dnf5 list
        Listet installierte und verfügbare Pakete auf.

    dnf5 list --available --showduplicates
        Listet verfügbare Pakete einschließlich aller verfügbaren Versionen auf.

    dnf5 list kernel*
        Listet installierte und verfügbare Pakete auf, deren Namen mit kernel beginnen.

JSON-AUSGABE

dnf5 list --json

Dieser Befehl gibt ein JSON-Objekt mit der folgenden Struktur zurück:

    •   Schlüssel, die einen Abschnitt der »schönen« Befehlszeilenausgabe darstellen

    •   Werte, die Pakete in diesem Abschnitt als ein Array von Objekten mit folgender Struktur darstellen:

                •   name (Zeichenkette): Paketname

                •   arch (Zeichenkette): Paketarchitektur

                •   evr (Zeichenkette): verfügbare Aktualisierungsversion

                •   repository (Zeichenkette): ID der Paketquelle, in der die Aktualisierung verfügbar ist

                •   obsoletes (Array): (nur für den Abschnitt »Veraltete Pakete«) Liste der Pakete, die dieses Paket als veraltet markieren und somit ersetzen (sie haben die gleiche Struktur wie oben, jedoch ohne obsoletes).

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).